SPI_W8R16BE(9)

NAME
spi_w8r16be - SPI synchronous 8 bit write followed by 16 bit big-endian read

SYNOPSIS

ssize_t spi_w8r16be(struct spi_device * spi, u8 cmd);

ARGUMENTS

spi
    device with which data will be exchanged

cmd
    command to be written before data is read back

CONTEXT

can sleep

DESCRIPTION

This returns the (unsigned) sixteen bit number returned by the device in cpu endianness, or else a negative error code. Callable only from contexts that can sleep.

This function is similar to spi_w8r16, with the exception that it will convert the read 16 bit data word from big-endian to native endianness.

COPYRIGHT